package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*购物车
* @author quyixiao
* @since 2025-10-25
*/

@Data
@TableName("vv_trade_order_line")
public class VvTradeOrderLineEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvTradeOrderLineEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";                              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                          // 修改时间
    public final static String sale_price = CLASS_NAME + "sale_price";                            // 单价
    public final static String num_ = CLASS_NAME + "num";                                         // 数量
    public final static String status_ = CLASS_NAME + "status";                                   // wait_pay:待支付,待发货：wait_shipping,  已经发货: shipping , 已接收，delivered， cancel 订单取消 
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                    // 订单号
    public final static String refund_amount = CLASS_NAME + "refund_amount";                      // 退款金额
    public final static String track_number = CLASS_NAME + "track_number";                        // 包裹追踪号
    public final static String refund_count = CLASS_NAME + "refund_count";                        // 退货数量
    public final static String product_id = CLASS_NAME + "product_id";                            // 商品id
    public final static String product_name = CLASS_NAME + "product_name";                        // 商品名称
    public final static String sku_info = CLASS_NAME + "sku_info";                                // sku信息json
    public final static String product_main_image_url = CLASS_NAME + "product_main_image_url";    // 商品主图
    public final static String sku_id = CLASS_NAME + "sku_id";                                    // skuid 
    public final static String sku_image_url = CLASS_NAME + "sku_image_url";                      // sku图片
    public final static String comment_id = CLASS_NAME + "comment_id";                            // 评论 id
    public final static String delivered_type = CLASS_NAME + "delivered_type";                    // 1 买家手动确认收货， 2 系统自动确认收货 
    public final static String settle_status = CLASS_NAME + "settle_status";                      // 0 未结算，1 已经结算
    public final static String gmt_settle = CLASS_NAME + "gmt_settle";                            // 结算时间
    public final static String seller_id = CLASS_NAME + "seller_id";                              // 卖家id
    public final static String reverse_status = CLASS_NAME + "reverse_status";                    // 逆向状态。 
    public final static String profit_amount = CLASS_NAME + "profit_amount";                      // 这笔子单获得利益
    public final static String origin_price = CLASS_NAME + "origin_price";                        // 原来价格
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                // 创建时间
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                // 修改时间
    public final static String buyer_id = CLASS_NAME + "buyer_id";                                // 订单id
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                          // 买家手机号
    public final static String buyer_name = CLASS_NAME + "buyer_name";                            // 买家名称
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";                        // 买家微信
    public final static String province_ = CLASS_NAME + "province";                               // 省
    public final static String city_ = CLASS_NAME + "city";                                       // 市
    public final static String district_ = CLASS_NAME + "district";                               // 区
    public final static String seller_name = CLASS_NAME + "seller_name";                          // 卖家名称
    public final static String batch_num = CLASS_NAME + "batch_num";                              // 批次数量
    public final static String shipping_amount = CLASS_NAME + "shipping_amount";                  // 运费
    public final static String promotion_price = CLASS_NAME + "promotion_price";                  // 当时促销价
    public final static String state_ = CLASS_NAME + "state";                                     // 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    public final static String gmt_down_order = CLASS_NAME + "gmt_down_order";                    // 下单时间
    public final static String gmt_pay = CLASS_NAME + "gmt_pay";                                  // 支付时间
    public final static String gmt_to_shipping = CLASS_NAME + "gmt_to_shipping";                  // 打包时间
    public final static String gmt_sign_receipt = CLASS_NAME + "gmt_sign_receipt";                // 签收日期
    public final static String gmt_delivered = CLASS_NAME + "gmt_delivered";                      // 妥投时间
    public final static String delivered_by = CLASS_NAME + "delivered_by";                        // system:系统，user:用户 ，admin 后台确认
    public final static String app_name = CLASS_NAME + "app_name";                                // goudezhao
    public final static String channel_ = CLASS_NAME + "channel";                                 // 渠道来源，如抖音，等
    public final static String promoter_id = CLASS_NAME + "promoter_id";                          // 推广者id
    public final static String award_amount = CLASS_NAME + "award_amount";                        // 奖励金额
    public final static String activity_id = CLASS_NAME + "activity_id";                          // 活动id
    public final static String activity_award_count = CLASS_NAME + "activity_award_count";        // 这次活动的奖励次数
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //单价
    private BigDecimal salePrice;
    //数量
    private Integer num;
    //wait_pay:待支付,待发货：wait_shipping,  已经发货: shipping , 已接收，delivered， cancel 订单取消 
    private String status;
    //订单号
    private Long tradeOrderId;
    //退款金额
    private BigDecimal refundAmount;
    //包裹追踪号
    private String trackNumber;
    //退货数量
    private Integer refundCount;
    //商品id
    private Long productId;
    //商品名称
    private String productName;
    //sku信息json
    private String skuInfo;
    //商品主图
    private String productMainImageUrl;
    //skuid 
    private Long skuId;
    //sku图片
    private String skuImageUrl;
    //评论 id
    private Long commentId;
    //1 买家手动确认收货， 2 系统自动确认收货 
    private Integer deliveredType;
    //0 未结算，1 已经结算
    private Integer settleStatus;
    //结算时间
    private Date gmtSettle;
    //卖家id
    private Long sellerId;
    //逆向状态。 
    private String reverseStatus;
    //这笔子单获得利益
    private BigDecimal profitAmount;
    //原来价格
    private BigDecimal originPrice;
    //创建时间
    private Long createTimestamp;
    //修改时间
    private Date modifyTimestamp;
    //订单id
    private Long buyerId;
    //买家手机号
    private String buyerPhone;
    //买家名称
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //省
    private String province;
    //市
    private String city;
    //区
    private String district;
    //卖家名称
    private String sellerName;
    //批次数量
    private Integer batchNum;
    //运费
    private BigDecimal shippingAmount;
    //当时促销价
    private BigDecimal promotionPrice;
    //快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    private String state;
    //下单时间
    private Date gmtDownOrder;
    //支付时间
    private Date gmtPay;
    //打包时间
    private Date gmtToShipping;
    //签收日期
    private Date gmtSignReceipt;
    //妥投时间
    private Date gmtDelivered;
    //system:系统，user:用户 ，admin 后台确认
    private String deliveredBy;
    //goudezhao
    private String appName;
    //渠道来源，如抖音，等
    private String channel;
    //推广者id
    private String promoterId;
    //奖励金额
    private BigDecimal awardAmount;
    //活动id
    private Long activityId;
    //这次活动的奖励次数
    private Integer activityAwardCount;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 单价 
     * @return
     */
    public BigDecimal getSalePrice() {
        return salePrice;
    }
    /**
     * 单价 
     * @param salePrice
     */
    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }

    /**
     * 数量 
     * @return
     */
    public Integer getNum() {
        return num;
    }
    /**
     * 数量 
     * @param num
     */
    public void setNum(Integer num) {
        this.num = num;
    }

    /**
     * wait_pay:待支付,待发货：wait_shipping,  已经发货: shipping , 已接收，delivered， cancel 订单取消  
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * wait_pay:待支付,待发货：wait_shipping,  已经发货: shipping , 已接收，delivered， cancel 订单取消  
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 订单号 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单号 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 包裹追踪号 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 包裹追踪号 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 退货数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退货数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 商品名称 
     * @return
     */
    public String getProductName() {
        return productName;
    }
    /**
     * 商品名称 
     * @param productName
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * sku信息json 
     * @return
     */
    public String getSkuInfo() {
        return skuInfo;
    }
    /**
     * sku信息json 
     * @param skuInfo
     */
    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    /**
     * 商品主图 
     * @return
     */
    public String getProductMainImageUrl() {
        return productMainImageUrl;
    }
    /**
     * 商品主图 
     * @param productMainImageUrl
     */
    public void setProductMainImageUrl(String productMainImageUrl) {
        this.productMainImageUrl = productMainImageUrl;
    }

    /**
     * skuid  
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * skuid  
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * sku图片 
     * @return
     */
    public String getSkuImageUrl() {
        return skuImageUrl;
    }
    /**
     * sku图片 
     * @param skuImageUrl
     */
    public void setSkuImageUrl(String skuImageUrl) {
        this.skuImageUrl = skuImageUrl;
    }

    /**
     * 评论 id 
     * @return
     */
    public Long getCommentId() {
        return commentId;
    }
    /**
     * 评论 id 
     * @param commentId
     */
    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    /**
     * 1 买家手动确认收货， 2 系统自动确认收货  
     * @return
     */
    public Integer getDeliveredType() {
        return deliveredType;
    }
    /**
     * 1 买家手动确认收货， 2 系统自动确认收货  
     * @param deliveredType
     */
    public void setDeliveredType(Integer deliveredType) {
        this.deliveredType = deliveredType;
    }

    /**
     * 0 未结算，1 已经结算 
     * @return
     */
    public Integer getSettleStatus() {
        return settleStatus;
    }
    /**
     * 0 未结算，1 已经结算 
     * @param settleStatus
     */
    public void setSettleStatus(Integer settleStatus) {
        this.settleStatus = settleStatus;
    }

    /**
     * 结算时间 
     * @return
     */
    public Date getGmtSettle() {
        return gmtSettle;
    }
    /**
     * 结算时间 
     * @param gmtSettle
     */
    public void setGmtSettle(Date gmtSettle) {
        this.gmtSettle = gmtSettle;
    }

    /**
     * 卖家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 卖家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 逆向状态。  
     * @return
     */
    public String getReverseStatus() {
        return reverseStatus;
    }
    /**
     * 逆向状态。  
     * @param reverseStatus
     */
    public void setReverseStatus(String reverseStatus) {
        this.reverseStatus = reverseStatus;
    }

    /**
     * 这笔子单获得利益 
     * @return
     */
    public BigDecimal getProfitAmount() {
        return profitAmount;
    }
    /**
     * 这笔子单获得利益 
     * @param profitAmount
     */
    public void setProfitAmount(BigDecimal profitAmount) {
        this.profitAmount = profitAmount;
    }

    /**
     * 原来价格 
     * @return
     */
    public BigDecimal getOriginPrice() {
        return originPrice;
    }
    /**
     * 原来价格 
     * @param originPrice
     */
    public void setOriginPrice(BigDecimal originPrice) {
        this.originPrice = originPrice;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Date modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 订单id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区 
     * @return
     */
    public String getDistrict() {
        return district;
    }
    /**
     * 区 
     * @param district
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 卖家名称 
     * @return
     */
    public String getSellerName() {
        return sellerName;
    }
    /**
     * 卖家名称 
     * @param sellerName
     */
    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    /**
     * 批次数量 
     * @return
     */
    public Integer getBatchNum() {
        return batchNum;
    }
    /**
     * 批次数量 
     * @param batchNum
     */
    public void setBatchNum(Integer batchNum) {
        this.batchNum = batchNum;
    }

    /**
     * 运费 
     * @return
     */
    public BigDecimal getShippingAmount() {
        return shippingAmount;
    }
    /**
     * 运费 
     * @param shippingAmount
     */
    public void setShippingAmount(BigDecimal shippingAmount) {
        this.shippingAmount = shippingAmount;
    }

    /**
     * 当时促销价 
     * @return
     */
    public BigDecimal getPromotionPrice() {
        return promotionPrice;
    }
    /**
     * 当时促销价 
     * @param promotionPrice
     */
    public void setPromotionPrice(BigDecimal promotionPrice) {
        this.promotionPrice = promotionPrice;
    }

    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @return
     */
    public String getState() {
        return state;
    }
    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @param state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * 下单时间 
     * @return
     */
    public Date getGmtDownOrder() {
        return gmtDownOrder;
    }
    /**
     * 下单时间 
     * @param gmtDownOrder
     */
    public void setGmtDownOrder(Date gmtDownOrder) {
        this.gmtDownOrder = gmtDownOrder;
    }

    /**
     * 支付时间 
     * @return
     */
    public Date getGmtPay() {
        return gmtPay;
    }
    /**
     * 支付时间 
     * @param gmtPay
     */
    public void setGmtPay(Date gmtPay) {
        this.gmtPay = gmtPay;
    }

    /**
     * 打包时间 
     * @return
     */
    public Date getGmtToShipping() {
        return gmtToShipping;
    }
    /**
     * 打包时间 
     * @param gmtToShipping
     */
    public void setGmtToShipping(Date gmtToShipping) {
        this.gmtToShipping = gmtToShipping;
    }

    /**
     * 签收日期 
     * @return
     */
    public Date getGmtSignReceipt() {
        return gmtSignReceipt;
    }
    /**
     * 签收日期 
     * @param gmtSignReceipt
     */
    public void setGmtSignReceipt(Date gmtSignReceipt) {
        this.gmtSignReceipt = gmtSignReceipt;
    }

    /**
     * 妥投时间 
     * @return
     */
    public Date getGmtDelivered() {
        return gmtDelivered;
    }
    /**
     * 妥投时间 
     * @param gmtDelivered
     */
    public void setGmtDelivered(Date gmtDelivered) {
        this.gmtDelivered = gmtDelivered;
    }

    /**
     * system:系统，user:用户 ，admin 后台确认 
     * @return
     */
    public String getDeliveredBy() {
        return deliveredBy;
    }
    /**
     * system:系统，user:用户 ，admin 后台确认 
     * @param deliveredBy
     */
    public void setDeliveredBy(String deliveredBy) {
        this.deliveredBy = deliveredBy;
    }

    /**
     * goudezhao 
     * @return
     */
    public String getAppName() {
        return appName;
    }
    /**
     * goudezhao 
     * @param appName
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 渠道来源，如抖音，等 
     * @return
     */
    public String getChannel() {
        return channel;
    }
    /**
     * 渠道来源，如抖音，等 
     * @param channel
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /**
     * 推广者id 
     * @return
     */
    public String getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id 
     * @param promoterId
     */
    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    /**
     * 奖励金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 奖励金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 活动id 
     * @return
     */
    public Long getActivityId() {
        return activityId;
    }
    /**
     * 活动id 
     * @param activityId
     */
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    /**
     * 这次活动的奖励次数 
     * @return
     */
    public Integer getActivityAwardCount() {
        return activityAwardCount;
    }
    /**
     * 这次活动的奖励次数 
     * @param activityAwardCount
     */
    public void setActivityAwardCount(Integer activityAwardCount) {
        this.activityAwardCount = activityAwardCount;
    }

    @Override
    public String toString() {
        return "VvTradeOrderLineEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",salePrice=" + salePrice +
                ",num=" + num +
                ",status=" + status +
                ",tradeOrderId=" + tradeOrderId +
                ",refundAmount=" + refundAmount +
                ",trackNumber=" + trackNumber +
                ",refundCount=" + refundCount +
                ",productId=" + productId +
                ",productName=" + productName +
                ",skuInfo=" + skuInfo +
                ",productMainImageUrl=" + productMainImageUrl +
                ",skuId=" + skuId +
                ",skuImageUrl=" + skuImageUrl +
                ",commentId=" + commentId +
                ",deliveredType=" + deliveredType +
                ",settleStatus=" + settleStatus +
                ",gmtSettle=" + gmtSettle +
                ",sellerId=" + sellerId +
                ",reverseStatus=" + reverseStatus +
                ",profitAmount=" + profitAmount +
                ",originPrice=" + originPrice +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",buyerId=" + buyerId +
                ",buyerPhone=" + buyerPhone +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",province=" + province +
                ",city=" + city +
                ",district=" + district +
                ",sellerName=" + sellerName +
                ",batchNum=" + batchNum +
                ",shippingAmount=" + shippingAmount +
                ",promotionPrice=" + promotionPrice +
                ",state=" + state +
                ",gmtDownOrder=" + gmtDownOrder +
                ",gmtPay=" + gmtPay +
                ",gmtToShipping=" + gmtToShipping +
                ",gmtSignReceipt=" + gmtSignReceipt +
                ",gmtDelivered=" + gmtDelivered +
                ",deliveredBy=" + deliveredBy +
                ",appName=" + appName +
                ",channel=" + channel +
                ",promoterId=" + promoterId +
                ",awardAmount=" + awardAmount +
                ",activityId=" + activityId +
                ",activityAwardCount=" + activityAwardCount +
                "}";
    }
}